clear
clf
%Ponemos todos los tiempos en 1975 y generamos 50 ns aleatorios entre 1975
%y 2025
t_policy_year_init=[1975];
t_air_poll_time_init=[1975];
t_land_fert_time_init=[1975];
t_fcaor_time_init=[1975];
t_zero_pop_grow_time_init=[1975];
t_ind_equil_time_init=[1975];
t_fert_eff_time_init=[1975];
%inicialmente los retrasos son de 5 aos y los ampliamos hasta 20
in_TDD_init=[5];
%Parmetros que cambiamos en las polticas, empezamos por el rango ms bajo
nr_resources_init=[1e12];
p_avg_life_agr_inp_init=[1];
chg_mlt_POLGM_init=[-0.06];
chg_mlt_LYCM_init=[0];
chg_mlt_NRCM_init=[-0.06];
des_fam_size_init=[1];
ind_out_pc_des_init=[350];
p_avg_life_ind_cap_init=[12];
p_avg_life_serv_cap_init=[18];
p_serv_cap_out_ratio_init=[0.5];

for k=1:4
    rand('state',sum(100*clock))                    
    %Modificamos los aos de las polticas
    t_policy_year=t_policy_year_init+50*rand;
    t_air_poll_time=t_air_poll_time_init+50*rand;
    t_land_fert_time=t_land_fert_time_init+50*rand;
    t_fcaor_time=t_fcaor_time_init+50*rand;
    t_zero_pop_grow_time=t_zero_pop_grow_time_init+50*rand;
    t_ind_equil_time=t_ind_equil_time_init+50*rand;
    t_fert_eff_time=t_fert_eff_time_init+50*rand;
    in_TDD=in_TDD_init+15*rand;
    %Modificamos ahora los parmetros de las polticas
    %nr_resources va desde 1e12 a 2e12
    nr_resources=nr_resources_init*(1+rand);
    %p_avg_life_agr_in va desde 1 a 3
    p_avg_life_agr_inp=p_avg_life_agr_inp_init*(1+2*rand);
    %chg_mlt_POLGM de -0.06 a 0
    chg_mlt_POLGM=chg_mlt_POLGM_init+0.06*rand;
    %chg_mlt_LYCM de 0 a 0.04
    chg_mlt_LYCM=chg_mlt_LYCM_init+0.04*rand;
    %chg_mlt_NRCM de -0.06 a 0
    chg_mlt_NRCM=chg_mlt_NRCM_init+0.06*rand;
    %des_fam_size de 1 a 3
    des_fam_size=des_fam_size_init*(1+2*rand);
    %ind_out_pc_des de 350 a 700
    ind_out_pc_des=ind_out_pc_des_init+350*rand;
    %p_avg_life_ind_cap de 12 a 16
    p_avg_life_ind_cap=p_avg_life_ind_cap_init+4*rand;
    %p_avg_life_ind_cap de 18 a 22
    p_avg_life_serv_cap=p_avg_life_serv_cap_init+4*rand;
    %p_avg_life_serv_cap de 0.5 a 1.5
    p_serv_cap_out_ratio=p_serv_cap_out_ratio_init+rand;
    %x29 se usa para comparar los recursos restantes con los recursos
    %iniciales
    x29=nr_resources;
    %Y ahora lanzamos la simulacin
      
    sim('simuworld3');
   max_pop=max(population_1)
   final_pop=population_1(length(population_1))
   fin_slo_pop=slope_population(length(slope_population))
   k
   b=find(population_1==max_pop)
   max_timepop=time(b)
   final_pop_high=smf(final_pop,[3e9 9e9])
   final_pop_low=1-final_pop_high
   slope_pop_high=smf(fin_slo_pop,[-8e7 -1e7])
   slope_pop_low=1-slope_pop_high
   max_timepop_high=smf(max_timepop, [1900 2100])
   max_timepop_low=1-max_timepop_high
   catastrofe=probor([0.7*slope_pop_low; final_pop_low; 0.5*max_timepop_low])
   catas_store(k)=catastrofe
   subplot(2,2,k),plot(time, population_1)
   f=num2str(catas_store(k))
   g=['Nivel de catstrofe = ',f]
   legend(g,'Location','SouthOutside')
   hold on
   grid on
end