clear
clf
%Ponemos todos los tiempos en 1975 y generamos 50 ns aleatorios entre 1975
%y 2025
t_policy_year_init=[1975];
t_air_poll_time_init=[1975]; 
t_land_fert_time_init=[1975];
t_fcaor_time_init=[1975];
t_zero_pop_grow_time_init=[1975];
t_ind_equil_time_init=[1975];
t_fert_eff_time_init=[1975];
%inicialmente los retrasos son de 5 aos y los ampliamos hasta 20
in_TDD_init=[5];
%Parmetros que cambiamos en las polticas, empezamos por el rango ms bajo
nr_resources_init=[1e12];
p_avg_life_agr_inp_init=[1];
chg_mlt_POLGM_init=[-0.06];
chg_mlt_LYCM_init=[0];
chg_mlt_NRCM_init=[-0.06];
des_fam_size_init=[1];
ind_out_pc_des_init=[350];
p_avg_life_ind_cap_init=[12];
p_avg_life_serv_cap_init=[18];
p_serv_cap_out_ratio_init=[0.5];
kk=1;
num_carr=500;
in_tpy = zeros(1,num_carr);
in_tiet =zeros(1,num_carr);
in_tfct=zeros(1,num_carr);
in_tapt=zeros(1,num_carr);
in_tlft=zeros(1,num_carr);
in_tzpgt=zeros(1,num_carr);
in_tfet=zeros(1,num_carr);
in_in_TDD=zeros(1,num_carr);
%Guardamos las otras variables en vectores    
in_nr=zeros(1,num_carr);
in_palai=zeros(1,num_carr);
in_POLGM=zeros(1,num_carr);
in_NRCM=zeros(1,num_carr);
in_LYCM=zeros(1,num_carr);
in_dfs=zeros(1,num_carr);
in_iopd=zeros(1,num_carr);
in_palic=zeros(1,num_carr);
in_palsc=zeros(1,num_carr);
in_pscor=zeros(1,num_carr);
for k=1:num_carr
    rand('state',sum(100*clock))                    
    %Modificamos los aos de las polticas
    t_policy_year=t_policy_year_init+50*rand;
    t_air_poll_time=t_air_poll_time_init+50*rand;
    t_land_fert_time=t_land_fert_time_init+50*rand;
    t_fcaor_time=t_fcaor_time_init+50*rand;
    t_zero_pop_grow_time=t_zero_pop_grow_time_init+50*rand;
    t_ind_equil_time=t_ind_equil_time_init+50*rand;
    t_fert_eff_time=t_fert_eff_time_init+50*rand;
    in_TDD=in_TDD_init+15*rand;
    %Modificamos ahora los parmetros de las polticas
    %nr_resources va desde 1e12 a 2e12
    nr_resources=nr_resources_init*(1+rand);
    %p_avg_life_agr_in va desde 1 a 3
    p_avg_life_agr_inp=p_avg_life_agr_inp_init*(1+2*rand);
    %chg_mlt_POLGM de -0.06 a 0
    chg_mlt_POLGM=chg_mlt_POLGM_init+0.06*rand;
    %chg_mlt_LYCM de 0 a 0.04
    chg_mlt_LYCM=chg_mlt_LYCM_init+0.04*rand;
    %chg_mlt_NRCM de -0.06 a 0
    chg_mlt_NRCM=chg_mlt_NRCM_init+0.06*rand;
    %des_fam_size de 1 a 3
    des_fam_size=des_fam_size_init*(1+2*rand);
    %ind_out_pc_des de 350 a 700
    ind_out_pc_des=ind_out_pc_des_init+350*rand;
    %p_avg_life_ind_cap de 12 a 16
    p_avg_life_ind_cap=p_avg_life_ind_cap_init+4*rand;
    %p_avg_life_ind_cap de 18 a 22
    p_avg_life_serv_cap=p_avg_life_serv_cap_init+4*rand;
    %p_avg_life_serv_cap de 0.5 a 1.5
    p_serv_cap_out_ratio=p_serv_cap_out_ratio_init+rand;
    %x29 se usa para comparar los recursos restantes con los recursos
    %iniciales
    x29=nr_resources;
    %Y ahora lanzamos la simulacin
    %iniciamos vectores
   %Guardamos los timpos en vectores
    in_tpy(k,1)=t_policy_year;
    in_tiet(k,1)=t_ind_equil_time;
    in_tfct(k,1)=t_fcaor_time;
    in_tapt(k,1)=t_air_poll_time;
    in_tlft(k,1)=t_land_fert_time;
    in_tzpgt(k,1)=t_zero_pop_grow_time;
    in_tfet(k,1)=t_fert_eff_time;
    in_in_TDD(k,1)=in_TDD;
    %Guardamos las otras variables en vectores    
    in_nr(k,1)=nr_resources;    
    in_palai(k,1)=p_avg_life_agr_inp;
    in_POLGM(k,1)=chg_mlt_POLGM;
    in_NRCM(k,1)=chg_mlt_NRCM;
    in_LYCM(k,1)=chg_mlt_LYCM;
    in_dfs(k,1)=des_fam_size;
    in_iopd(k,1)=ind_out_pc_des; 
    in_palic(k,1)=p_avg_life_ind_cap;
    in_palsc(k,1)=p_avg_life_serv_cap;
    in_pscor(k,1)=p_serv_cap_out_ratio;
    sim('simuworld3');
   %Human Ecological Footprint 
   k  
   max_HEF=max(HEF);
   final_HEF=HEF(length(HEF));
   fin_slo_HEF=slope_HEF(length(slope_HEF));
   bHEF=find(HEF==max_HEF);
   max_timeHEF=time(bHEF);
   max_HEF_high=smf(max_HEF,[1 4]);
   max_HEF_low=1-max_HEF_high;
   final_HEF_high=smf(final_HEF,[0.8 1.2]);
   final_HEF_low=1-final_HEF_high;
   slope_HEF_high=smf(fin_slo_HEF,[-1 1]);
   slope_HEF_low=1-slope_HEF_high;
   max_timeHEF_high=smf(max_timeHEF, [1900 2100]);
   max_timeHEF_low=1-max_timeHEF_high;
   HEF_asumible=probor([slope_HEF_low; max_HEF_low; final_HEF_low]);
   asum_HEFstore(k)=HEF_asumible;
   %Human Welfare Index
   max_HWI=max(HWI);
   final_HWI=HWI(length(HWI));
   max_HWI_high=smf(max_HWI,[0.5 1]);
   final_HWI_high=smf(final_HWI,[0.5 1]);
   var_HWI=max_HWI-final_HWI;
   var_HWI_high=smf(var_HWI,[0 0.2]);
   %se busca que la diferencia entre el mximo y el final sea pequeo
   %var_HWI_low estar prximo a 1 cuando la diferencia sea pequea
   var_HWI_low=1-var_HWI_high;
   HWI_optimo=var_HWI_low*final_HWI_high;
   optim_HWIstore(k)=HWI_optimo;
   %Y la calificacin global de la simulacin:
   calif_global=HWI_optimo*HEF_asumible;
   calif_global_store(k,1)=calif_global;
   
end
i=find(calif_global_store>0.6)
Tit=['in_tpy', 'in_tiet', 'in_tfct', 'in_tapt', 'in_tlft', 'in_tzpgt',  'in_tfet', 'in_in_TDD',...
    'in_nr', 'in_palai', 'in_POLGM', 'in_NRCM', 'in_LYCM', 'in_dfs', 'in_iopd', 'in_palic', 'in_palsc', 'in_pscor',...
    'calif_global_store']
M=[in_tpy(i,1) in_tiet(i,1) in_tfct(i,1) in_tapt(i,1) in_tlft(i,1) in_tzpgt(i,1) in_tfet(i,1) in_in_TDD(i,1),...
    in_nr(i,1) in_palai(i,1) in_POLGM(i,1) in_NRCM(i,1) in_LYCM(i,1) in_dfs(i,1) in_iopd(i,1) in_palic(i,1) in_palsc(i,1) in_pscor(i,1),...
    calif_global_store(i,1)]
num_centros=8;
[center,u,obj_fcn] = fcm(M,num_centros)
matrix_clusters=zeros(3,num_centros);
for n=1:num_centros
    matrix_clusters(1,n)=n;
end
for c=1:length(u);
    maxu=max(u(:,c));
    l=find(u(:,c)==maxu);
    matrix_clusters(2,l)=matrix_clusters(2,l)+1;
    matrix_clusters(3,l)=(matrix_clusters(3,l)+maxu);
end
for n=1:num_centros
    matrix_clusters(3,n)=matrix_clusters(3,n)/matrix_clusters(2,n);
end
matrix_clusters
center_time=[center(:,1) center(:,2) center(:,3) center(:,4) center(:,5) center(:,6) center(:,7)]
center_asig=[(center(:,8) center(:,9) center(:,10) center(:,11) center(:,12) center(:,13) center(:,14) center(:,15) center(:,16) center(:,17) center(:,18)] 
xlswrite('cluster_n.xls', Tit, 'Datos', 'A1')
xlswrite('cluster_n.xls', M, 'Datos', 'A2')
xlswrite('cluster_n.xls', center_time, 'Centros', 'A2')
xlswrite('cluster_n.xls', center_asig, 'Centros2', 'A2')